Bug 307477 - Add option to specify Global zoom that is applied by default
Summary: Add option to specify Global zoom that is applied by default
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: latest git snapshot
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 3.0
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-27 10:02 UTC by Kai Uwe Broulik
Modified: 2013-12-03 21:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2012-09-27 10:02:11 UTC
I have a high dpi screen which makes fonts in normal size quite small. Chromium offers an option to set a general zoom with which all pages are opened by default. There should be an option for this in rekonq as well.

[And please don’t forget to also make Ctrl+0 revert to that configured size - it really bugs me that Chromium always sets back to 100% when I press Ctrl+0 when I accidentally zoomed in ;) ]

Reproducible: Always
Comment 1 Andrea Diamantini 2012-09-27 13:18:25 UTC
Ok, targetting next release.. :)
Comment 2 Andrea Diamantini 2013-12-03 21:38:42 UTC
Git commit 178947c5e58a388660d101b8f354cdb3eae0cf02 by Andrea Diamantini.
Committed on 30/11/2013 at 00:15.
Pushed by adjam into branch 'master'.

Added option for global zoom settings :)

M  +3    -0    src/rekonq.kcfg
M  +42   -6    src/settings/appearancewidget.cpp
M  +1    -0    src/settings/appearancewidget.h
M  +34   -0    src/settings/settings_appearance.ui
M  +3    -4    src/webtab/webpage.cpp
M  +11   -7    src/webtab/webtab.cpp

http://commits.kde.org/rekonq/178947c5e58a388660d101b8f354cdb3eae0cf02